[前][次][番号順一覧][スレッド一覧]

ruby-changes:50486

From: nobu <ko1@a...>
Date: Thu, 1 Mar 2018 12:26:11 +0900 (JST)
Subject: [ruby-changes:50486] nobu:r62619 (trunk): tool/bisect.sh: extracted build part [ci skip]

nobu	2018-03-01 12:26:05 +0900 (Thu, 01 Mar 2018)

  New Revision: 62619

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=62619

  Log:
    tool/bisect.sh: extracted build part [ci skip]

  Modified files:
    trunk/tool/bisect.sh
Index: tool/bisect.sh
===================================================================
--- tool/bisect.sh	(revision 62618)
+++ tool/bisect.sh	(revision 62619)
@@ -21,25 +21,30 @@ case $1 in https://github.com/ruby/ruby/blob/trunk/tool/bisect.sh#L21
     exec git bisect run "$path" "run-$1"
     ;;
   run-miniruby )
-    cd "${0%/*}" || exit 125 # assume a copy of this script is in builddir
-    $MAKE srcs || exit 125
-    $MAKE Makefile || exit 125
-    $MAKE mini || exit 125
-    $MAKE run || exit 1
+    prep=mini
+    run=run
     ;;
   run-ruby )
-    cd "${0%/*}" || exit 125 # assume a copy of this script is in builddir
-    $MAKE srcs || exit 125
-    $MAKE Makefile || exit 125
-    $MAKE program || exit 125
-    $MAKE runruby || exit 1
+    prep=program
+    run=runruby
     ;;
   "" )
-    echo foo bar
+    echo missing command 1>&2
+    exit 1
     ;;
   * )
     echo unknown command "'$1'" 1>&2
     exit 1
     ;;
 esac
-exit 0
+
+case "$0" in
+*/*)
+    # assume a copy of this script is in builddir
+    cd `echo "$0" | sed 's:\(.*\)/.*:\1:'` || exit 125
+    ;;
+esac
+for target in srcs Makefile $prep; do
+    $MAKE $target || exit 125
+done
+exec $MAKE $run

--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml/

[前][次][番号順一覧][スレッド一覧]